Public Member Functions
UIToolkit Class Reference

## Detailed Description

Provides access to Softimage user interface tools such as the ProgressBar object and the MsgBox function.

See also:
  Application::GetUIToolkit

`#include <xsi_uitoolkit.h>`

Inheritance diagram for UIToolkit:
[legend]

List of all members.

## Public Member Functions
| UIToolkit ()
| ~UIToolkit ()
| UIToolkit (const CRef &in_ref)
| UIToolkit (const UIToolkit &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
UIToolkit & | operator= (const UIToolkit &in_obj)
UIToolkit & | operator= (const CRef &in_ref)
ProgressBar | GetProgressBar () const
CStatus | MsgBox (const CString &in_strMsg, LONG in_Flags, const CString &in_strCaption, LONG &out_result)

## Constructor & Destructor Documentation

UIToolkit | ( |  | ) |

Default constructor.

~UIToolkit | ( |  | ) |

Default destructor.

UIToolkit | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

UIToolkit | ( | const UIToolkit & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const `[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from CBase.

siClassID GetClassID | ( |  | ) | const `[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Implements CBase.

UIToolkit& operator= | ( | const UIToolkit & | in_obj | ) |

Creates an object from another object. The newly created object is set to empty if the input object is not compatible.

Parameters:

  in_obj | constant class object.

Returns:
  The new UIToolkit object.

UIToolkit& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new UIToolkit object.

ProgressBar GetProgressBar | ( |  | ) | const

Returns an instance of a ProgressBar object.

Returns:
  Instance of a ProgressBar object.

CStatus MsgBox | ( | const CString & | in_strMsg,
|  | LONG | in_Flags,
|  | const CString & | in_strCaption,
|  | LONG & | out_result
| ) |  |

This is identical to the Win32 MessageBox function and provides the ability to pop up a simple modal message window in Softimage. The application is frozen and the user is forced to click a button to dismiss the window.

By default only an OK button is displayed, but flags like siMsgAbortRetryIgnore and siMsgYesNo are supported to change this behavior. By default no icon is displayed, but flags like siMsgQuestion can be used to help indicate the nature and importance of the message (see siMsgBoxFlags).

This function does not block execution of scripts in batch mode. When Softimage runs in batch mode the routine returns immediately with the default button as the returned value. By default the first button is considered the default button, but this can be changed by specifying the flag siMsgDefaultButton2 or siMsgDefaultButton3.

For further details please refer the Win32 documentation on MessageBox.

Parameters:

  in_strMsg | Message to display on the screen.
  in_Flags | Flags to control the appearance of the dialog (see siMsgBoxFlags).
  in_strCaption | Text to show in the title of the Message Box. Often this is used to describe the source of the message box, for example the name of a plug-in or perhaps a script filename. By default the standard Softimage title is used.

Return values:

  out_result | The button pressed as defined in siMsgButtonPressed.

Returns:
  CStatus::OK success
  CStatus::Fail failure

The documentation for this class was generated from the following file:

- xsi_uitoolkit.h